using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Reflection;
using System.Management;
using System.Threading;
using FarsiMsgBox;

namespace ajans
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {

            bool ok;
            Mutex m = new Mutex(true, "YourNameHere", out ok);
            if (!ok)
            {
                FarsiMessage.ShowMessageBox("این برنامه در حال حاضر فعال است.", "پیغام", ShowButton.تائید_تنها, MsgIcon.Information_1);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new form_login());
            GC.KeepAlive(m);
        }
    }
}
